package cn.com.infosec.asn1.sec;

import cn.com.infosec.asn1.x9.X9ECParameters;
import cn.com.infosec.asn1.x9.X9ECParametersHolder;
import cn.com.infosec.math.ec.ECCurve;
import cn.com.infosec.math.ec.ECPoint;
import cn.com.infosec.util.encoders.Hex;
import java.math.BigInteger;

class SECNamedCurves$24 extends X9ECParametersHolder {
   protected X9ECParameters createParameters() {
      BigInteger var6 = SECNamedCurves.access$0("0163F35A5137C2CE3EA6ED8667190B0BC43ECD69977702709B");
      BigInteger var1 = SECNamedCurves.access$0("00C9BB9E8927D4D64C377E2AB2856A5B16E3EFB7F61D4316AE");
      byte[] var2 = Hex.decode("10B7B4D696E676875615175137C8A16FD0DA2211");
      BigInteger var3 = SECNamedCurves.access$0("010000000000000000000000015AAB561B005413CCD4EE99D5");
      BigInteger var4 = BigInteger.valueOf(2L);
      ECCurve.F2m var5;
      ECCurve.F2m var10000 = var5 = new ECCurve.F2m;
      var10000.<init>(193, 15, var6, var1, var3, var4);
      ECPoint var7 = var10000.decodePoint(Hex.decode("0400D9B67D192E0367C803F39E1A7E82CA14A651350AAE617E8F01CE94335607C304AC29E7DEFBD9CA01F596F927224CDECF6C"));
      return new X9ECParameters(var5, var7, var3, var4, var2);
   }
}
